from google.protobuf import empty_pb2 as _empty_pb2
from cdnskey_processor_api import common_types_pb2 as _common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class WorkerHealth(_message.Message):
    __slots__ = ("id", "ok")
    ID_FIELD_NUMBER: _ClassVar[int]
    OK_FIELD_NUMBER: _ClassVar[int]
    id: _common_types_pb2.WorkerName
    ok: bool
    def __init__(self, id: _Optional[_Union[_common_types_pb2.WorkerName, _Mapping]] = ..., ok: bool = ...) -> None: ...

class WorkersHealthReply(_message.Message):
    __slots__ = ("items",)
    ITEMS_FIELD_NUMBER: _ClassVar[int]
    items: _containers.RepeatedCompositeFieldContainer[WorkerHealth]
    def __init__(self, items: _Optional[_Iterable[_Union[WorkerHealth, _Mapping]]] = ...) -> None: ...

class DatabaseHealthReply(_message.Message):
    __slots__ = ("ok",)
    OK_FIELD_NUMBER: _ClassVar[int]
    ok: bool
    def __init__(self, ok: bool = ...) -> None: ...
