from cdnskey_processor_api import common_types_pb2 as _common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class RawScanResultsRequest(_message.Message):
    __slots__ = ("domain_uid", "domain_fqdn")
    DOMAIN_UID_FIELD_NUMBER: _ClassVar[int]
    DOMAIN_FQDN_FIELD_NUMBER: _ClassVar[int]
    domain_uid: _common_types_pb2.DomainUid
    domain_fqdn: _common_types_pb2.DomainFqdn
    def __init__(self, domain_uid: _Optional[_Union[_common_types_pb2.DomainUid, _Mapping]] = ..., domain_fqdn: _Optional[_Union[_common_types_pb2.DomainFqdn, _Mapping]] = ...) -> None: ...

class RawScanResult(_message.Message):
    __slots__ = ("worker_name", "scan_at", "nameserver_ip", "cdnskey", "nameserver")
    WORKER_NAME_FIELD_NUMBER: _ClassVar[int]
    SCAN_AT_FIELD_NUMBER: _ClassVar[int]
    NAMESERVER_IP_FIELD_NUMBER: _ClassVar[int]
    CDNSKEY_FIELD_NUMBER: _ClassVar[int]
    NAMESERVER_FIELD_NUMBER: _ClassVar[int]
    worker_name: _common_types_pb2.WorkerName
    scan_at: _timestamp_pb2.Timestamp
    nameserver_ip: _common_types_pb2.IpAddress
    cdnskey: _common_types_pb2.Cdnskey
    nameserver: _common_types_pb2.Nameserver
    def __init__(self, worker_name: _Optional[_Union[_common_types_pb2.WorkerName, _Mapping]] = ..., scan_at: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., nameserver_ip: _Optional[_Union[_common_types_pb2.IpAddress, _Mapping]] = ..., cdnskey: _Optional[_Union[_common_types_pb2.Cdnskey, _Mapping]] = ..., nameserver: _Optional[_Union[_common_types_pb2.Nameserver, _Mapping]] = ...) -> None: ...

class RawScanResultsReply(_message.Message):
    __slots__ = ("data",)
    class Data(_message.Message):
        __slots__ = ("items",)
        ITEMS_FIELD_NUMBER: _ClassVar[int]
        items: _containers.RepeatedCompositeFieldContainer[RawScanResult]
        def __init__(self, items: _Optional[_Iterable[_Union[RawScanResult, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: RawScanResultsReply.Data
    def __init__(self, data: _Optional[_Union[RawScanResultsReply.Data, _Mapping]] = ...) -> None: ...
